corda / net.corda.core.math / Interpolator

# Interpolator

`interface Interpolator`

### Functions

interpolate | `abstract fun interpolate(x: Double): Double`

### Inheritors

CubicSplineInterpolator | `class CubicSplineInterpolator : Interpolator` Interpolates values between the given data points using a SplineFunction.
LinearInterpolator | `class LinearInterpolator : Interpolator` Interpolates values between the given data points using straight lines.